Use a membership
Register one check-in on a membership card. Each check-in uses one of the card's remaining uses.
Endpoint
POST/loyalty-actions with "action": "use_membership"
Request
Response
json
member is the full Loyalty Member object after the check-in (shortened above).
Body parameters
| Name | Type | Required | Description |
|---|---|---|---|
organization_id | Number | Yes | ID of your organization |
action | String | Yes | use_membership |
member_id | Number | Yes | ID of a membership card |
note | String | No | Description of the check-in (defaults to Check-in) |
Errors
| Message | Cause |
|---|---|
Only memberships have uses | The card belongs to a program that is not a membership |
No uses left on this membership | The balance is 0 |
This card is blocked | The card status is blocked |
This card has expired | The card expires_at has passed |
Report an issue with this documentation
Please log in to report issues with our documentation.